import tkinter as tk
from tkinter import ttk

IDIOMAS = {
    0: ("Italian", "it-IT"),
    1: ("English", "en-GB"),
    2: ("Portuguese", "pt-PT"),
    3: ("Spanish", "es-ES"),
    4: ("Russian", "ru-RU"),
    5: ("French", "fr-FR"),
    6: ("German", "de-DE"),
}

def mostrar_idioma_seleccionado():
    idioma_seleccionado = combo.get()
    print(f"Idioma seleccionado: {idioma_seleccionado}")

# Crear la ventana principal
ventana = tk.Tk()
ventana.title("Selector de Idioma")
ventana.geometry("300x200")

# Crear una variable para almacenar el idioma seleccionado
idioma_var = tk.StringVar()

# Crear un combobox (OptionMenu) para seleccionar el idioma
combo = ttk.Combobox(ventana, textvariable=idioma_var, state="readonly")

# Rellenar el combobox con los nombres de los idiomas
combo['values'] = [nombre for _, (nombre, _) in IDIOMAS.items()]

# Seleccionar el primer elemento por defecto
combo.current(0)

# Ubicar el combobox en la ventana
combo.pack(pady=20)

# Crear un botón para mostrar el idioma seleccionado
boton_mostrar = tk.Button(ventana, text="Mostrar Idioma Seleccionado", command=mostrar_idioma_seleccionado)
boton_mostrar.pack(pady=10)

# Iniciar el bucle principal de la interfaz
ventana.mainloop()
