import PyLibrary.funciones_comunes as fc
import pandas as pd
import os
from translation_config import TranslationConfig

# Definir el logger a nivel de módulo
logger = None


def complete_emptys(config: TranslationConfig):
    archivo_maestro = config.get_master_path()
    if not os.path.exists(archivo_maestro):
        print("El archivo maestro no existe.")
        return

    target_col = config.codigo_idioma_seleccionado
    second_col = config.codigo_idioma_secundario

    df_maestro = fc.read_dataframe_with_cleanup_retries(archivo_maestro)

    for index, fila in df_maestro.iterrows():
        clave = fila[config.codigo_columna_maestra]
        if fila[target_col] == "" or pd.isnull(fila[target_col]):
            if pd.notnull(fila[second_col]) and fila[second_col] != "":
                df_maestro.loc[
                    df_maestro[config.codigo_columna_maestra] == clave, target_col
                ] = fila[second_col]
                logger.info(
                    f'Fila {index}, Columna {target_col}: "" actualizado a "{fila[second_col]}"'
                )
            else:
                df_maestro.loc[
                    df_maestro[config.codigo_columna_maestra] == clave, target_col
                ] = fc.compactar_celda_traducida(
                    config.codigo_tipo_PLC, fila[config.codigo_columna_maestra]
                )
                logger.info(
                    f'Fila {index}, Columna {target_col}: "" actualizado a "{fila[config.codigo_columna_maestra]}"'
                )

    fc.save_dataframe_with_retries(df_maestro, output_path=archivo_maestro)
    print(f"Traducciones importadas y archivo maestro actualizado: {archivo_maestro}.")


def run(config: TranslationConfig):
    global logger
    logger = fc.configurar_logger(config.work_dir)
    script_name = os.path.basename(__file__)
    print(f"\rIniciando: {script_name}\r")
    complete_emptys(config)


if __name__ == "__main__":
    import menu_pasos_traduccion

    menu_pasos_traduccion.main()
